glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::PollFD Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

## Public Types
using | fd_t = decltype(GPollFD::fd)

## Public Member Functions
| PollFD ()
| PollFD (fd_t fd)
| PollFD (fd_t fd, IOCondition events)
void | set_fd (fd_t fd)
fd_t | get_fd () const
void | set_events (IOCondition events)
IOCondition | get_events () const
void | set_revents (IOCondition revents)
IOCondition | get_revents () const
GPollFD* | gobj ()
const GPollFD* | gobj () const

## Member Typedef Documentation

using Glib::PollFD::fd_t = decltype(GPollFD::fd)

## Constructor & Destructor Documentation

Glib::PollFD::PollFD | ( |  | ) |

Glib::PollFD::PollFD | ( | fd_t | fd | ) |
| explicit

Glib::PollFD::PollFD | ( | fd_t | fd,
|  | IOCondition | events
| ) |  |

## Member Function Documentation

IOCondition Glib::PollFD::get_events | ( |  | ) | const
| inline

fd_t Glib::PollFD::get_fd | ( |  | ) | const
| inline

IOCondition Glib::PollFD::get_revents | ( |  | ) | const
| inline

GPollFD* Glib::PollFD::gobj | ( |  | ) |
| inline

const GPollFD* Glib::PollFD::gobj | ( |  | ) | const
| inline

void Glib::PollFD::set_events | ( | IOCondition | events | ) |
| inline

void Glib::PollFD::set_fd | ( | fd_t | fd | ) |
| inline

void Glib::PollFD::set_revents | ( | IOCondition | revents | ) |
| inline